Get Transaction Detail
curl --request POST \
--url https://sandbox-biller-b2b.singapay.id/api/v1/detail-bill-transaction \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-PARTNER-ID: <x-partner-id>' \
--data '
{
"command": "detail-bill-transaction",
"data": {
"transaction_id": "01JWX2F2DZC68TC94XMNBJCC3H"
}
}
'import requests
url = "https://sandbox-biller-b2b.singapay.id/api/v1/detail-bill-transaction"
payload = {
"command": "detail-bill-transaction",
"data": { "transaction_id": "01JWX2F2DZC68TC94XMNBJCC3H" }
}
headers = {
"X-PARTNER-ID": "<x-partner-id>",
"Accept": "<accept>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-PARTNER-ID': '<x-partner-id>',
Accept: '<accept>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
command: 'detail-bill-transaction',
data: {transaction_id: '01JWX2F2DZC68TC94XMNBJCC3H'}
})
};
fetch('https://sandbox-biller-b2b.singapay.id/api/v1/detail-bill-transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"command": "detail-bill-transaction",
"response_code": "00",
"response_text": "Operation completed successfully",
"data": {
"transaction_id": "01JWX2F2DZC68TC94XMNBJCC3H",
"reference_number": "SPTKMSF2G30RJBL0096284584861749552869",
"customer_id": "082291501085",
"transaction_type": "prepaid",
"status": "pending",
"inquired_at": null,
"paid_at": "2025-06-10 17:54:29",
"net_price": "32500",
"display_price": {
"amount": "100000",
"price": "102500"
},
"other_info": {},
"created_at": "2025-06-10 10:54:29",
"product": {
"code": "SPTKMSF2G30",
"name": "Telkomsel Data Flash 2GB 30hr",
"category": {
"code": "TELASD",
"name": "Telkomsel/AS"
}
}
}
}{
"status": 401,
"success": false,
"error": {
"code": 401,
"message": "Unauthorized merchant, please sign in"
}
}{
"command": "detail-bill-transaction",
"response_code": "6",
"response_text": "Transaction not found"
}{
"command": "detail-bill-transaction",
"response_code": "04",
"response_text": "Rejected Format Error",
"data": {
"data": "The data field is required.",
"data.transaction_id": "The data.transaction id field is required."
}
}General
Get Transaction Detail
Retrieve the full detail of a specific bill transaction by its transaction ID.
POST
/
api
/
v1
/
detail-bill-transaction
Get Transaction Detail
Authorizations
JWT Bearer token obtained from /api/v1.0/access-token/b2b
Body
application/json
⌘I
